﻿using BankDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.BindingModels
{
    public class PaymentBindingModel : IPaymentModel
    {
        public DateTime PaymentDate {get;set;} = DateTime.Now.Date;

        public Dictionary<int, IDealModel> DealPayments { get; set; } = new();

        public Dictionary<int, ICurrencyModel> CurrencyPayments { get; set; } = new();

        public int Id { get; set; }
    }
}
